module memory_EM2_32bit 
(
	input [21:0] indice,
	output reg [31:0] valor
);

reg [31:0] in_ram [2449999:0]; //350*350*(p-1)=>endmembers=21=>350*350*20

always @ (*)
	valor = in_ram [indice];

initial
begin
	$readmemb("imagen.txt", in_ram);
end

endmodule
